mav_transparentTextRender(3)

NAME
mav_transparentTextRender - Render transparent text correctly.

LEVEL
Maverik Level 3

SYNTAX
void mav_transparentTextRender(void *ignored);

void mav_transparentTextManage(MAV_window *w, char *s, int col, int font, float x, float y);

ARGUMENTS

MAV_window *w
    Window.

char *s
    The text.

int col
    The colour.

int font
    The font.

float x
    The horizontal position.

float y
    The vertical position.

DESCRIPTION
These functions ensure that transparent text is drawn correctly.

mav_transparentTextRender
    renders all transparent text.

mav_transparentTextManage
    This function is called when transparent text is rendered. This allows for special treatment, specifically to delay rendering until after all other objects have been drawn. These measures are necessary for transparent text to be displayed correctly.